# Method: accounts.apps.list

- [HTTP request](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list#body.request_body)
- [Response body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list#body.response_body)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list#body.ListAppsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list#body.aspect)
- [Examples](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list#examples)
- [Try it!](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list#try-it)

List the apps under the specified AdMob account.

### HTTP request

`GET https://admob.googleapis.com/v1beta/{parent=accounts/*}/apps`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the account to list apps for. Example: accounts/pub-9876543210987654 |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of apps to return. If unspecified or 0, at most 10,000 apps will be returned. The maximum value is 20,000; values above 20,000 will be coerced to 20,000. |
| `pageToken` | `string` The value returned by the last `ListAppsResponse`; indicates that this is a continuation of a prior `apps.list` call, and that the system should return the next page of data. |

### Request body

The request body must be empty.

### Response body

Response for the apps list request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "apps": [ { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps#App`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `apps[]` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps#App`)`` The resulting apps for the requested account. |
| `nextPageToken` | `string` If not empty, indicates that there may be more apps for the request; this value should be passed in a new `ListAppsRequest`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admob.monetization`
- `
  https://www.googleapis.com/auth/admob.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).